Parchment Docs

Geocoding

Geocoding and reverse geocoding

Forward geocode an address to coordinates

Convert an address or location query into geographic coordinates. Optionally provide lat/lng for location bias.

GET
/geocoding/forward

Query Parameters

queryRequiredstring
Minimum length: 1
latstring
lngstring
limitstring | number

Response Body

curl -X GET "https://example.com/geocoding/forward?query=string&lat=string&lng=string&limit=string"
fetch("https://example.com/geocoding/forward?query=string&lat=string&lng=string&limit=string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/geocoding/forward?query=string&lat=string&lng=string&limit=string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/geocoding/forward?query=string&lat=string&lng=string&limit=string"

response = requests.request("GET", url)

print(response.text)
Empty

Reverse geocode coordinates to an address

Convert geographic coordinates (latitude and longitude) into a human-readable address.

GET
/geocoding/reverse

Query Parameters

latRequiredstring
lngRequiredstring
limitstring | number

Response Body

curl -X GET "https://example.com/geocoding/reverse?lat=string&lng=string&limit=string"
fetch("https://example.com/geocoding/reverse?lat=string&lng=string&limit=string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/geocoding/reverse?lat=string&lng=string&limit=string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/geocoding/reverse?lat=string&lng=string&limit=string"

response = requests.request("GET", url)

print(response.text)
Empty